#include <WScom.h>
#include <WSCfunctionList.h>
#include <WSCbase.h>
//----------------------------------------------------------
//Function for the event procedure
//----------------------------------------------------------
#include <newwin000.h>

WSClistData invader_list_x;
WSClistData invader_list_y;
WSClistData fence_list_x;
WSClistData fence_list_y;
WSClistData invader_missile_list_x;
WSClistData invader_missile_list_y;
WSClistData my_missile_list_x;
WSClistData my_missile_list_y;
long    my_base_x;
long    my_base_y;

void startep(WSCbase* object){
  my_base_x = 195;
  my_base_y = 320;
  invader_list_x.clear();
  invader_list_y.clear();
  fence_list_x.clear();
  fence_list_y.clear();
  invader_missile_list_x.clear();
  invader_missile_list_y.clear();
  my_missile_list_x.clear();
  my_missile_list_y.clear();

  long i,j;
  for(i=0; i<20; i++){
    for(j=0; j<5; j++){
      invader_list_x.add((void*)( 50+i*15 ));
      invader_list_y.add((void*)( 50+j*15 ));
    }
  }
  for(i=0; i<20; i++){
    for(j=0; j<4; j++){
      fence_list_x.add((void*)( 50+i*15 ));
      fence_list_y.add((void*)( 280+j*5 ));
    }
  }
  newvtim_001->setProperty(WSNrunning,True);
}
static WSCfunctionRegister  op("startep",(void*)startep);
